%define name pulseaudio
# (cg) DO NOT update to 0.9.11 or 0.9.12. Please see cooker for explanation.
%define version 0.9.10
%define rel 11
%define subrel 1
%define svn 0
%if %{svn}
%define release %mkrel 0.%{svn}.%rel
%else
%define release %mkrel %rel
%endif

# Majors
%define major 0
%define coremajor 5
%define zeroconfmajor 0
%define glib2major 0
%define apiver 0.9

# Library names
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}
%define corelibname %mklibname pulsecore %{coremajor}
%define zeroconflibname %mklibname pulsezeroconf %{zeroconfmajor}
%define glib2libname %mklibname pulseglib2 %{glib2major}

Summary: Sound server for Linux
Name: %{name}
Version: %{version}
Release: %{release}
%if %{svn}
Source0: %{name}-%{svn}.tar.bz2
%else
Source0: %{name}-%{version}.tar.gz
%endif
Source1: %{name}.sysconfig
Source2: %{name}.xinit
# (cg) We have to ship an esd.conf file with auto_spawn=0 to stop
# libesound from.... you guessed it... auto spawning.
Source3: esd.conf
Source4: %{name}.svg


# (cg) Using git to manage patches
# To recreate the structure
# git clone git://git.0pointer.de/pulseaudio
# git checkout origin/tags/release-0.9.10
# git checkout -b mdv-0.9.10-cherry-picks
# git am 00*.patch
# git checkout -b mdv-0.9.10-patches
# git am 05*.patch

# To apply new custom patches
# git checkout mdv-0.9.10-patches
# (do stuff)

# To apply new cherry-picks
# git checkout mdv-0.9.10-cherry-picks
# git cherry-pick <blah>
# git checkout mdv-0.9.10-patches
# git rebase mdv-0.9.10-cherry-picks

# Cherry Pick Patches
# git format-patch origin/tags/release-0.9.10..mdv-0.9.10-cherry-picks
Patch1: 0001-Perfer-client.conf-over-X11-property-variables.patch
Patch2: 0002-Also-link-libpulsecore.la-to-some-libraries-needed.patch
Patch3: 0003-Rejig-r2495-slightly-and-directly-compile-the-necess.patch
Patch4: 0004-Do-not-invalidate-the-cookie-if-no-file-was-specifie.patch
Patch5: 0005-fix-error-path-spotted-by-Coling-Guthrie.patch
Patch6: 0006-rework-cpu-limit-logic-to-use-monotonic-instead-of-w.patch

# Mandriva Patches
# git format-patch --start-number 500 mdv-0.9.10-cherry-picks..mdv-0.9.10-patches
Patch500: 0500-Some-customisations-to-esdcompat-in-order-to-adhere.patch
Patch501: 0501-Change-policykit-policy-to-allow-high-priority-and-d.patch
Patch502: 0502-Change-the-default-resample-method-to-speex-fixed-0.patch
Patch503: 0503-Load-module-gconf-earlier-so-that-module-volume-rest.patch
Patch504: 0504-Add-my-always-sink-patch-to-ensure-a-valid-sink-is-a.patch
Patch505: 0505-Airtunes-patch.-This-is-the-latest-version-of-my-air.patch
Patch506: 0506-More-robust-pid-file-handling.patch
Patch507: 0507-Disable-hotplug-sound-as-it-interferes-with-too-many.patch
Patch508: 0508-Fix-errors-in-pid-file-robustneness-patch.patch

# Airtunes links to OpenSSL which is BSD-like and should be reflected here
License: LGPL and BSD-like
Group: Sound
Url: http://pulseaudio.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel
BuildRequires: libcap-devel
BuildRequires: libsndfile-devel
BuildRequires: libsamplerate-devel
BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires: libavahi-client-devel
BuildRequires: liboil-devel
BuildRequires: libGConf2-devel
BuildRequires: libwrap-devel
BuildRequires: X11-devel
BuildRequires: hal-devel
BuildRequires: doxygen
BuildRequires: automake1.8
BuildRequires: libltdl-devel
BuildRequires: libatomic_ops-devel
BuildRequires: gettext-devel
BuildRequires: lirc-devel
BuildRequires: bluez-devel
# (cg) Needed for airtunes
BuildRequires: openssl-devel
%if %{mdkversion} > 200800
BuildRequires: polkit-devel
#BuildRequires: libasyncns-devel
%endif
#BuildRequires: libasyncns-devel
BuildRequires: imagemagick

Provides: polypaudio
Obsoletes: polypaudio
# (cg) This is for the backport of 0.9.7 to 2008
#      pulseaudio fails when using older versions of libtool
Requires: libltdl >= 1.5.24
# (cg) When upgrading from pa < 0.9.7-1 things break due to spec restructure
Conflicts: %{libname} < 0.9.7-2

%description
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (EsounD). In addition to the features EsounD
provides pulseaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

%package -n %{corelibname}
Summary: Core libraries for the PulseAudio sound server
Group: System/Libraries

%description -n %{corelibname}
This package contains runtime libraries that are used internally in the
PulseAudio sound server.

%if %mdkversion < 200900
%post -n %{corelibname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{corelibname} -p /sbin/ldconfig
%endif


%package -n %{libname}
Summary: Libraries for PulseAudio clients
Group: System/Libraries

%description -n %{libname}
This package contains the runtime libraries for any application that wishes
to interface with a PulseAudio sound server.

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif


%package -n %{zeroconflibname}
Summary:    Zeroconf support for PulseAudio clients
Group:      System/Libraries

%description -n %{zeroconflibname}
This package contains the runtime libraries and tools that allow PulseAudio
clients to automatically detect PulseAudio servers using Zeroconf.

%if %mdkversion < 200900
%post -n %{zeroconflibname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{zeroconflibname} -p /sbin/ldconfig
%endif


%package -n %{glib2libname}
Summary:  GLIB 2.x bindings for PulseAudio clients
Group:    System/Libraries

%description -n %{glib2libname}
This package contains bindings to integrate the PulseAudio client library with
a GLIB 2.x based application.

%if %mdkversion < 200900
%post -n %{glib2libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{glib2libname} -p /sbin/ldconfig
%endif


%package -n %{libname_devel}
Summary: Headers and libraries for PulseAudio client development
Group: Development/C
Requires: %{corelibname} = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{zeroconflibname} = %{version}-%{release}
Requires: %{glib2libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{name} %{major}

%description -n %{libname_devel}
Headers and libraries for developing applications that can communicate with
a PulseAudio sound server.


%package esound-compat
Summary:   PulseAudio EsounD daemon compatibility script
Group:     Sound
Requires:  %{name} = %{version}-%{release}
%if %{mdkversion} > 200800
Provides:  esound
Obsoletes: esound < 0.2.38-5mdv
Conflicts: esound-daemon
%endif

%description esound-compat
A compatibility script that allows applications to call /usr/bin/esd
and start PulseAudio with EsounD protocol modules.


%package module-lirc
Summary:   LIRC support for the PulseAudio sound server
Group:     Sound
Requires:  %{name} = %{version}-%{release}

%description module-lirc
LIRC volume control module for the PulseAudio sound server.


%package module-bluetooth
Summary:   Bluetooth proximity support for the PulseAudio sound server
Group:     Sound
Requires:  %{name} = %{version}-%{release}

%description module-bluetooth
Bluetooth proximity detection module for the PulseAudio sound server.


%package module-x11
Summary:   X11 support for the PulseAudio sound server
Group:     Sound
Requires:  %{name} = %{version}-%{release}

%description module-x11
X11 bell and security modules for the PulseAudio sound server.


%package module-zeroconf
Summary:   Zeroconf support for the PulseAudio sound server
Group:     Sound
Requires:  %{name} = %{version}-%{release}

%description module-zeroconf
Zeroconf publishing module for the PulseAudio sound server.


%package module-jack
Summary:   JACK support for the PulseAudio sound server
Group:     Sound
Requires:  %{name} = %{version}-%{release}

%description module-jack
JACK sink and source modules for the PulseAudio sound server.


%package module-gconf
Summary:   GConf support for the PulseAudio sound server
Group:     Sound
Requires:  %{name} = %{version}-%{release}

%description module-gconf
GConf configuration backend for the PulseAudio sound server.


%package utils
Summary:  PulseAudio sound server utilities
Group:    Sound

%description utils
This package contains command line utilities for the PulseAudio sound server.




%prep
%if %{svn}
%setup -q -n %{name}
%else
%setup -q
%endif

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%patch500 -p1
%patch501 -p1
%patch502 -p1
%patch503 -p1
%patch504 -p1
%patch505 -p1
%patch506 -p1
%patch507 -p1
%patch508 -p1

# Needed by some patches
autoreconf

%build
%configure2_5x --disable-asyncns

%make
make doxygen

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -D -m 0644 %{_sourcedir}/%{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m 0755 %{_sourcedir}/%{name}.xinit %{buildroot}%{_sysconfdir}/X11/xinit.d/50%{name}
install -D -m 0755 %{_sourcedir}/esd.conf %{buildroot}%{_sysconfdir}/

install -D -m 0644 %{_sourcedir}/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/devices
ln -s ../apps/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/devices/audio-backend-pulseaudio.svg
for size in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/{apps,devices}
  convert -geometry ${size}x${size} %{_sourcedir}/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
  ln -s ../apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/devices/audio-backend-pulseaudio.png
done

# Remove static and metalink libraries
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;

# Fix esd
ln -s esdcompat %{buildroot}%{_bindir}/esd

%clean
rm -rf $RPM_BUILD_ROOT




%files
%defattr(-,root,root)
%doc README
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(4755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man5/pulse-client.conf.5.*
%{_mandir}/man5/pulse-daemon.conf.5.*
%{_mandir}/man5/default.pa.5.*
%if %{mdkversion} > 200800
%{_datadir}/PolicyKit/policy/org.pulseaudio.policy
%endif
%{_datadir}/icons/hicolor/*
%dir %{_libdir}/pulse-%{apiver}/modules/
%{_libdir}/pulse-%{apiver}/modules/libalsa-util.so
%{_libdir}/pulse-%{apiver}/modules/libauthkey-prop.so
%{_libdir}/pulse-%{apiver}/modules/libauthkey.so
%{_libdir}/pulse-%{apiver}/modules/libcli.so
%{_libdir}/pulse-%{apiver}/modules/libdbus-util.so
%{_libdir}/pulse-%{apiver}/modules/libiochannel.so
%{_libdir}/pulse-%{apiver}/modules/libioline.so
%{_libdir}/pulse-%{apiver}/modules/libipacl.so
%{_libdir}/pulse-%{apiver}/modules/liboss-util.so
%{_libdir}/pulse-%{apiver}/modules/libpacket.so
%{_libdir}/pulse-%{apiver}/modules/libparseaddr.so
%{_libdir}/pulse-%{apiver}/modules/libpdispatch.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-cli.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-esound.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-http.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-native.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-simple.so
%{_libdir}/pulse-%{apiver}/modules/libpstream-util.so
%{_libdir}/pulse-%{apiver}/modules/libpstream.so
%{_libdir}/pulse-%{apiver}/modules/libraop.so
%{_libdir}/pulse-%{apiver}/modules/librtp.so
%{_libdir}/pulse-%{apiver}/modules/libsocket-client.so
%{_libdir}/pulse-%{apiver}/modules/libsocket-server.so
%{_libdir}/pulse-%{apiver}/modules/libsocket-util.so
%{_libdir}/pulse-%{apiver}/modules/libstrlist.so
%{_libdir}/pulse-%{apiver}/modules/libtagstruct.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-source.so
%{_libdir}/pulse-%{apiver}/modules/module-always-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-cli-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-cli-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-cli.so
%{_libdir}/pulse-%{apiver}/modules/module-combine.so
%{_libdir}/pulse-%{apiver}/modules/module-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-compat-spawnfd.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-compat-spawnpid.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-hal-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-http-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-http-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-match.so
%{_libdir}/pulse-%{apiver}/modules/module-mmkbd-evdev.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-fd.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-null-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-oss.so
%{_libdir}/pulse-%{apiver}/modules/module-pipe-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-pipe-source.so
%{_libdir}/pulse-%{apiver}/modules/module-raop-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-rescue-streams.so
%{_libdir}/pulse-%{apiver}/modules/module-rtp-recv.so
%{_libdir}/pulse-%{apiver}/modules/module-rtp-send.so
%{_libdir}/pulse-%{apiver}/modules/module-simple-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-simple-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-sine.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-source.so
%{_libdir}/pulse-%{apiver}/modules/module-volume-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-suspend-on-idle.so
%{_libdir}/pulse-%{apiver}/modules/module-default-device-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-ladspa-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-remap-sink.so


%files -n %{corelibname}
%defattr(-,root,root)
%{_libdir}/libpulsecore.so.%{coremajor}*


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpulse.so.%{major}*
%{_libdir}/libpulse-simple.so.%{major}*
# (cg) Although the following is not a shared library, putting this file here
# will allow padsp to work on dual arch machines... (e.g. using padsp to start
# a 32-bit app).
%{_libdir}/libpulsedsp.so


%files -n %{zeroconflibname}
%defattr(-,root,root)
%{_libdir}/libpulse-browse.so.%{zeroconfmajor}*


%files -n %{glib2libname}
%defattr(-,root,root)
%{_libdir}/libpulse-mainloop-glib.so.%{glib2major}*

%files -n %{libname_devel}
%doc doxygen/html
%defattr(-,root,root)
%{_libdir}/libpulse.so
%{_libdir}/libpulsecore.so
%{_libdir}/libpulse-browse.so
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so
%dir %{_includedir}/pulse
%{_includedir}/pulse/*.h
%{_libdir}/pkgconfig/*.pc


%files esound-compat
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/esd.conf
%{_bindir}/esdcompat
%{_bindir}/esd
%{_mandir}/man1/esdcompat.1.*


%files module-bluetooth
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/module-bt-proximity.so
%{_libdir}/pulse/bt-proximity-helper


%files module-lirc
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/module-lirc.so


%files module-x11
%defattr(-,root,root)
%{_sysconfdir}/X11/xinit.d/50%{name}
%{_bindir}/pax11publish
%{_mandir}/man1/pax11publish.1.*
%{_libdir}/pulse-%{apiver}/modules/libx11prop.so
%{_libdir}/pulse-%{apiver}/modules/libx11wrap.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-bell.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-publish.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-xsmp.so
%{_sysconfdir}/xdg/autostart/pulseaudio-module-xsmp.desktop


%files module-zeroconf
%defattr(-,root,root)
%{_bindir}/pabrowse
%{_mandir}/man1/pabrowse.1.*
%{_libdir}/pulse-%{apiver}/modules/libavahi-wrap.so
%{_libdir}/pulse-%{apiver}/modules/module-zeroconf-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-zeroconf-publish.so
%{_libdir}/pulse-%{apiver}/modules/module-raop-discover.so


%files module-jack
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/module-jack-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-jack-source.so


%files module-gconf
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/module-gconf.so
%dir %{_libdir}/pulse/
%{_libdir}/pulse/gconf-helper


%files utils
%defattr(-,root,root)
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/padsp
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/pasuspender
%{_mandir}/man1/pacat.1.*
%{_mandir}/man1/pacmd.1.*
%{_mandir}/man1/pactl.1.*
%{_mandir}/man1/padsp.1.*
%{_mandir}/man1/paplay.1.*
#{_mandir}/man1/parec.1.*
%{_mandir}/man1/pasuspender.1.*


%changelog
* Fri Oct 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-11.1mdv2009.0
+ Revision: 291327
- Fix release/subrel
- Apply upstream patch to rework the cpu limit logic to use monotonic time (daylight savings cpu overload)
- Disable asyncns lookups due to some odd threading issue on thread cancellations

* Sun Sep 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-11mdv2009.0
+ Revision: 289064
- Fix some minor errors in the pid file robustness patch merged previously

* Mon Sep 22 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-10mdv2009.0
+ Revision: 287082
- Disable hotplug sound (it interferes with too many other subsystems)

* Sat Sep 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-9mdv2009.0
+ Revision: 286131
- Add a pulseaudio icon

* Thu Aug 14 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-8mdv2009.0
+ Revision: 271797
- Add backport of a PID file robustness patch (backport by OpenSuse)

* Tue Aug 05 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-7mdv2009.0
+ Revision: 264095
- Rejig specfile to use git to manage both our patches and upstream cherrypicks
- Cherry pick upstream commit to fix padsp ioctl issue.

* Sun Aug 03 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-6mdv2009.0
+ Revision: 262568
- Updates airtunes patch to fix linking

* Mon Jul 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-5mdv2009.0
+ Revision: 251886
- Add my patch to support Apple Airtunes
- Build against libasyncns

* Mon Jul 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.10-4mdv2009.0
+ Revision: 232372
- rebuilt against new libcap

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 09 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-3mdv2009.0
+ Revision: 217172
- Fix an issue in my previous patch that invalidated the cookie even tho' a valid one was read via x11 props

* Tue Jun 03 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-2mdv2009.0
+ Revision: 214826
- Really fix underlinking - libpulsecore.la is not available to libpulsedsp.so
- Fix underlinking
- Allow default devices set in pavucontrol to work across sessions (mdv#41224)
- Allow client.conf to take precedence over x11 properties of the root window (mdv#41224)
- Fix release

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.10-0.2mdv2009.0
+ Revision: 192376
- Drop patches applied or impelmented in different ways upstream.
- Adapt our default policy changes to new upstream version
- Drop PID file handling in scripts as it is handled in PA since 0.9.8
- New version 0.9.10

* Wed Mar 26 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-7mdv2008.1
+ Revision: 190283
- Add a new module to ensure that an sink always exists (even if it is a null-sink)

* Sat Feb 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-6mdv2008.1
+ Revision: 174076
- Fix an error when moving a record stream (no gui method for this) PA#244

* Fri Feb 15 2008 Frederic Crozat <fcrozat@mandriva.com> 0.9.9-5mdv2008.1
+ Revision: 168830
- Switch to speex-float-0, all "fixed" variants are adding "scratch" to Ia Ora startup sound

* Wed Feb 13 2008 Frederic Crozat <fcrozat@mandriva.com> 0.9.9-4mdv2008.1
+ Revision: 167040
- Patch12: change resample to speex-fixed-0 (Mdv bug #36084)

* Wed Feb 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-3mdv2008.1
+ Revision: 166890
- Add in an esd.conf in the esound-compat package to fix #37649

* Tue Feb 05 2008 Frederic Crozat <fcrozat@mandriva.com> 0.9.9-2mdv2008.1
+ Revision: 162667
- Update patch3 to move X11 module load after GConf module (fix enabling network sound server with paprefs not advertised in X atom)
- Patch11 (Debian): allow GConf module load to fail silently

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-1mdv2008.1
+ Revision: 157459
- Update to 0.9.9 to fix CVE-2008-0008 (only change is r2100 from PA SVN)
- Update padsp patch with extra checks on debug calls where appropriate.

* Tue Jan 15 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-13mdv2008.1
+ Revision: 152142
- Updated padsp patch from Spuk (thanks :))
- Fix MDV#36164 (upgrade issues due to spec reorganisation)
- Hopefully fix MDV#36750 (amsn crashing).

* Sat Jan 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-12mdv2008.1
+ Revision: 149735
- Hopefully fix MDV#36643 (PA#215) by changing the order env vars are checked

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-11mdv2008.1
+ Revision: 136071
- Update tunnel patch to implement newer protol more fully
- Add patch to allow tunnels from 0.9.7<->0.9.8 by not sending new commands on old protocol.

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.9.8-10mdv2008.1
+ Revision: 134758
- Remove patch6, Ia Ora sound samples are small enough now

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Frederic Crozat <fcrozat@mandriva.com> 0.9.8-9mdv2008.1
+ Revision: 120217
- Patch7: change policy to allow high priority and refuse realtime
- Autostart PA daemon under GNOME with xinit script too

* Wed Dec 12 2007 Frederic Crozat <fcrozat@mandriva.com> 0.9.8-8mdv2008.1
+ Revision: 117850
- Fix esound dependencies
- Enable parallel build
- Clean specfile

* Sat Dec 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-7mdv2008.1
+ Revision: 116535
- Provide/Obsolete esound
- Remove global esd socket path patch (libesound has been patched)

* Thu Dec 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-6mdv2008.1
+ Revision: 116073
- Increase (temporarily?) sample cache size to cope with Ia Ora sound files.
- Regenerate configure after patch4
- Add an xinit.d file to start for non-Gnome desktops
- Add some mandriva customisations to esdcompat to make it work like xinit.d file
- Do not fail when trying to load pa with the x11 module installed but when not in an X11 session.

  + Frederic Crozat <fcrozat@mandriva.com>
    - Enable PolicyKit support

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot
    - buildrequires X11-devel instead of XFree86-devel

* Mon Dec 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-5mdv2008.1
+ Revision: 114651
- Fix tunnel module to ignore device suspension.

* Thu Nov 29 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-4mdv2008.1
+ Revision: 113983
- Cherry pick r2078 from upstream to fix volume restore

* Wed Nov 28 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-3mdv2008.1
+ Revision: 113783
- Fix an issue with the tunnel module.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - use official esound capitalization in description

* Thu Nov 22 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-2mdv2008.1
+ Revision: 111248
- Fix loading samples (upstream r2074)

* Thu Nov 22 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-1mdv2008.1
+ Revision: 111113
- New version

* Fri Nov 02 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-5mdv2008.1
+ Revision: 105192
- Fix library packages.
- Add a RequiresL libltdl >= 1.5.24

* Thu Nov 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-4mdv2008.1
+ Revision: 104356
- Fix duplicated files list.

* Wed Oct 31 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-3mdv2008.1
+ Revision: 104088
- Fix groups that forgot to fix up.
- Add BuildRequires: lirc-devel
- Bump release.
- Major SPEC cleanup/restructure
- Split into subpackages to allow for minimal installations

* Tue Oct 30 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-1mdv2008.1
+ Revision: 103903
- New version

* Tue Oct 30 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-0.1989.1mdv2008.1
+ Revision: 103669
- Update to svn snapshot.
- New devel library policy

* Tue Aug 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-3mdv2008.0
+ Revision: 68411
- Fix a bug with avahi when names >64 chars long

* Mon Jul 30 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-2mdv2008.0
+ Revision: 56490
- Add patch for PA issue #49 (ignore underruns on tunnels)

* Sat Jun 02 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-1mdv2008.0
+ Revision: 34642
- New upstream release: 0.9.6

* Tue May 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.5-1.1437.1mdv2008.0
+ Revision: 19909
- Update to SVN r1437
- Includes stability fixes and suspend/resume support


* Mon Feb 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.5-1mdv2007.0
+ Revision: 116253
- Import pulseaudio

* Mon Aug 28 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- fix buildrequires
- New release 0.9.5

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.4-2mdv2007.0
- Rebuild with latest dbus
- Change BR to use avahi instead of howl

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-1mdv2007.0
- New release 0.9.4

* Sat Jul 22 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3-1mdv2007.0
- split out libpulsecore (changed major
- New release 0.9.3

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-2mdv2007.0
- fix docs

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-1mdv2007.0
- renamed from polypaudio

* Tue Jun 06 2006 Gtz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.0
- update file list
- disable glib 1
- drop patch 
- New release 0.9.1

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdv2007.0
- new major
- New release 0.9.0

* Thu May 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.8.1-4mdk
- fix upgrade after file move in 0.8.1-3mdk

* Sat May 13 2006 Gtz Waschk <waschk@mandriva.org> 0.8.1-3mdk
- move libpolypcore.so to lib package (bug #22431)

* Thu May 11 2006 Gtz Waschk <waschk@mandriva.org> 0.8.1-2mdk
- add conflict to fix upgrade from stable

* Sat Apr 29 2006 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdk
- New release 0.8.1

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- update file list
- drop patch 0
- fix major
- fix buildrequires
- new version

* Wed Mar 08 2006 Gtz Waschk <waschk@mandriva.org> 0.7-6mdk
- disable glib 1.2 main loop

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.7-5mdk
- Rebuild

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 0.7-4mdk
- fix build

* Thu Jan 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-3mdk
- add BuildRequires: libltdl-devel

* Wed Jan 05 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-2mdk
- use automake1.8

* Tue Jan 04 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- initial package

